Page MenuHomePhabricator

fatal: Project not found: p/VisualEditor/VisualEditor
Closed, ResolvedPublic

Description

zfilipin@deploy1001:~/release/make-wmf-branch$ ./make-wmf-branch -n 1.33.0-wmf.22 -o master
Verifying that make-wmf-branch is up to date with origin/master...ok
cd /tmp/make-wmf-branch
'git' 'clone' '-q' '--branch' 'master' '--depth' '1' 'https://gerrit.wikimedia.org/r/mediawiki/extensions/3D' '3D'
cd 3D
'git' 'checkout' '-q' '-b' 'wmf/1.33.0-wmf.22'
'git' 'push' 'origin' 'wmf/1.33.0-wmf.22'
Total 0 (delta 0), reused 0 (delta 0)
remote: Processing changes: done    
To ssh://gerrit.wikimedia.org:29418/mediawiki/extensions/3D
 * [new branch]      wmf/1.33.0-wmf.22 -> wmf/1.33.0-wmf.22

...

cd /tmp/make-wmf-branch
'git' 'clone' '-q' '--branch' 'master' '--depth' '1' 'https://gerrit.wikimedia.org/r/mediawiki/extensions/VisualEditor' 'VisualEditor'
cd VisualEditor
'git' 'submodule' 'update' '--init' 'lib/ve'
Submodule 'lib/ve' (https://gerrit.wikimedia.org/r/p/VisualEditor/VisualEditor.git) registered for path 'lib/ve'
Cloning into '/tmp/make-wmf-branch/VisualEditor/lib/ve'...
Submodule path 'lib/ve': checked out 'a61616907d905263b98204e6933d40a0804e5b87'
cd lib/ve
'git' 'checkout' '-q' '-b' 'wmf/1.33.0-wmf.22'
'git' 'push' 'origin' 'wmf/1.33.0-wmf.22'
fatal: Project not found: p/VisualEditor/VisualEditor
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
sleeping for 5s
'git' 'push' 'origin' 'wmf/1.33.0-wmf.22'
fatal: Project not found: p/VisualEditor/VisualEditor
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
sleeping for 5s
'git' 'push' 'origin' 'wmf/1.33.0-wmf.22'
fatal: Project not found: p/VisualEditor/VisualEditor
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
sleeping for 5s
'git' 'push' 'origin' 'wmf/1.33.0-wmf.22'
fatal: Project not found: p/VisualEditor/VisualEditor
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
sleeping for 5s
'git' 'push' 'origin' 'wmf/1.33.0-wmf.22'
fatal: Project not found: p/VisualEditor/VisualEditor
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
sleeping for 5s
'git' 'push' 'origin' 'wmf/1.33.0-wmf.22'
fatal: Project not found: p/VisualEditor/VisualEditor
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
sleeping for 5s
[ERROR] git exit with status 128

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2019, 3:56 PM
zeljkofilipin triaged this task as Unbreak Now! priority.
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptMar 19 2019, 3:57 PM

A recent Gerrit upgrade removed support for the old /r/p/ path for accessing repositories over HTTP(S). Any repos still using this in .gitmodules (was replaced by /r/ about 2-3 years ago), need to be updated.

zeljkofilipin moved this task from Backlog 🔙 to In Progress 🔨 on the User-zeljkofilipin board.

This didn't help:

1zfilipin@deploy1001:~/release/make-wmf-branch$ git config --global url.ssh://zfilipin@gerrit.wikimedia.org:29418.pushInsteadOf https://gerrit.wikimedia.org/r/p
2
3zfilipin@deploy1001:~/release/make-wmf-branch$ ./make-wmf-branch -n 1.33.0-wmf.22 -o master --continue-from extensions/VisualEditor
4Verifying that make-wmf-branch is up to date with origin/master...ok
5'rm' '-rf' '--' '/tmp/make-wmf-branch'
6cd /tmp/make-wmf-branch
7'git' 'clone' '-q' '--branch' 'master' '--depth' '1' 'https://gerrit.wikimedia.org/r/mediawiki/extensions/3D' '3D'
8cd 3D
9'git' 'checkout' '-q' '-b' 'wmf/1.33.0-wmf.22'
10'git' 'push' 'origin' 'wmf/1.33.0-wmf.22'
11Username for 'https://gerrit.wikimedia.org':

A recent Gerrit upgrade removed support for the old /r/p/ path for accessing repositories over HTTP(S). Any repos still using this in .gitmodules (was replaced by /r/ about 2-3 years ago), need to be updated.

I have (slightly out of date) clone of all repos from Gerrit. (Directories use flat structure, integration_jenkins folder is integration/jenkins repo in Gerrit.) This is what I've found:

$ ack --type-add=gitmodules:ext:gitmodules --gitmodules /r/p/
mediawiki_services_parsoid_deploy/.gitmodules
3:	url = https://gerrit.wikimedia.org/r/p/mediawiki/services/parsoid

integration_jenkins/.gitmodules
3:	url = https://gerrit.wikimedia.org/r/p/integration/junitdiff.git
6:	url = https://gerrit.wikimedia.org/r/p/mediawiki/tools/code-utils.git

mediawiki_services_cxserver_deploy/.gitmodules
3:	url = https://gerrit.wikimedia.org/r/p/mediawiki/services/cxserver

operations_mediawiki-config/.gitmodules
9:	url = https://gerrit.wikimedia.org/r/p/operations/mediawiki-config/fonts

apps_firefox_wikipedia/.gitmodules
3:	url = https://gerrit.wikimedia.org/r/p/mediawiki/extensions/MobileFrontend.git

mediawiki_services_citoid_deploy/.gitmodules
3:	url = https://gerrit.wikimedia.org/r/p/mediawiki/services/citoid

mediawiki_extensions_VisualEditor/.gitmodules
3:	url = https://gerrit.wikimedia.org/r/p/VisualEditor/VisualEditor.git

pywikibot_compat/.gitmodules
3:    url = https://gerrit.wikimedia.org/r/p/pywikibot/i18n.git
8:    url = https://gerrit.wikimedia.org/r/p/pywikibot/spelling.git

Change 497542 had a related patch set uploaded (by Zfilipin; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] .gitmodules: Update gerrit URI syntax, deprecated ages ago, now unsupported

https://gerrit.wikimedia.org/r/497542

Change 497554 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] .gitmodules: Update gerrit URI syntax, deprecated ages ago, now unsupported

https://gerrit.wikimedia.org/r/497554

Change 497555 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/jenkins@master] .gitmodules: Update gerrit URI syntax, deprecated ages ago, now unsupported

https://gerrit.wikimedia.org/r/497555

Change 497556 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/services/cxserver/deploy@master] .gitmodules: Update gerrit URI syntax, deprecated ages ago, now unsupported

https://gerrit.wikimedia.org/r/497556

Change 497558 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/services/parsoid/deploy@master] .gitmodules: Update gerrit URI syntax, deprecated ages ago, now unsupported

https://gerrit.wikimedia.org/r/497558

Change 497560 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/services/citoid/deploy@master] .gitmodules: Update gerrit URI syntax, deprecated ages ago, now unsupported

https://gerrit.wikimedia.org/r/497560

This didn't help:

1zfilipin@deploy1001:~/release/make-wmf-branch$ git config --global url.ssh://zfilipin@gerrit.wikimedia.org:29418.pushInsteadOf https://gerrit.wikimedia.org/r/p
2
3zfilipin@deploy1001:~/release/make-wmf-branch$ ./make-wmf-branch -n 1.33.0-wmf.22 -o master --continue-from extensions/VisualEditor
4Verifying that make-wmf-branch is up to date with origin/master...ok
5'rm' '-rf' '--' '/tmp/make-wmf-branch'
6cd /tmp/make-wmf-branch
7'git' 'clone' '-q' '--branch' 'master' '--depth' '1' 'https://gerrit.wikimedia.org/r/mediawiki/extensions/3D' '3D'
8cd 3D
9'git' 'checkout' '-q' '-b' 'wmf/1.33.0-wmf.22'
10'git' 'push' 'origin' 'wmf/1.33.0-wmf.22'
11Username for 'https://gerrit.wikimedia.org':

This is an error with the "push" action for the 3D repository. I'm not sure what that's about, but it seems unrelated. The issue you were starting with is with the cloning/pull action for the VisualEditor repository's submodule.

Change 497555 merged by jenkins-bot:
[integration/jenkins@master] .gitmodules: Update gerrit URI syntax, deprecated ages ago, now unsupported

https://gerrit.wikimedia.org/r/497555

Change 497554 merged by jenkins-bot:
[operations/mediawiki-config@master] .gitmodules: Update gerrit URI syntax, deprecated ages ago, now unsupported

https://gerrit.wikimedia.org/r/497554

Change 497556 merged by jenkins-bot:
[mediawiki/services/cxserver/deploy@master] .gitmodules: Update gerrit URI syntax, deprecated ages ago, now unsupported

https://gerrit.wikimedia.org/r/497556

Change 497558 merged by jenkins-bot:
[mediawiki/services/parsoid/deploy@master] .gitmodules: Update gerrit URI syntax, deprecated ages ago, now unsupported

https://gerrit.wikimedia.org/r/497558

Change 497560 merged by jenkins-bot:
[mediawiki/services/citoid/deploy@master] .gitmodules: Update gerrit URI syntax, deprecated ages ago, now unsupported

https://gerrit.wikimedia.org/r/497560

Change 497542 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] .gitmodules: Update gerrit URI syntax, deprecated ages ago, now unsupported

https://gerrit.wikimedia.org/r/497542

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Theoretically this is Resolved, but leaving to Željko to determine.

This is an error with the "push" action for the 3D repository. I'm not sure what that's about, but it seems unrelated. The issue you were starting with is with the cloning/pull action for the VisualEditor repository's submodule.

It's probably this: https://wikitech.wikimedia.org/w/index.php?title=Heterogeneous_deployment/Train_deploys&diff=prev&oldid=1820303

It's been reverted, since it didn't help: https://wikitech.wikimedia.org/w/index.php?title=Heterogeneous_deployment/Train_deploys&diff=next&oldid=1820303

zeljkofilipin closed this task as Resolved.

Theoretically this is Resolved, but leaving to Željko to determine.

Assigning this to @Jdforrester-WMF since he did all the work and resolving. I was able to cut the branch, so this is no longer a problem. All patches related to this task have been merged.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 20 2019, 12:06 AM

The r/p path is still present in .gitmodules for REL1_32 (and others). This breaks the ability to clone anything but master. Should I open a new ticket, or can these patches be applied to other branches besides master?

Paladox added a subscriber: Paladox.EditedMay 12 2019, 3:13 PM

We redirect /r/p/*/info/* to /r/*/info/* now. Though I guess would be good if that was replaced in .gitmodules.

Change 514076 had a related patch set uploaded (by Bartosz Dziewoński; owner: Jforrester):
[mediawiki/extensions/VisualEditor@REL1_31] .gitmodules: Update gerrit URI syntax, deprecated ages ago, now unsupported

https://gerrit.wikimedia.org/r/514076

Change 514077 had a related patch set uploaded (by Bartosz Dziewoński; owner: Jforrester):
[mediawiki/extensions/VisualEditor@REL1_32] .gitmodules: Update gerrit URI syntax, deprecated ages ago, now unsupported

https://gerrit.wikimedia.org/r/514077

Change 514076 merged by Jforrester:
[mediawiki/extensions/VisualEditor@REL1_31] .gitmodules: Update gerrit URI syntax, deprecated ages ago, now unsupported

https://gerrit.wikimedia.org/r/514076

Change 514077 merged by Jforrester:
[mediawiki/extensions/VisualEditor@REL1_32] .gitmodules: Update gerrit URI syntax, deprecated ages ago, now unsupported

https://gerrit.wikimedia.org/r/514077

Change 514084 had a related patch set uploaded (by Bartosz Dziewoński; owner: Jforrester):
[mediawiki/extensions/VisualEditor@REL1_27] .gitmodules: Update gerrit URI syntax, deprecated ages ago, now unsupported

https://gerrit.wikimedia.org/r/514084

Change 514084 merged by Jforrester:
[mediawiki/extensions/VisualEditor@REL1_27] .gitmodules: Update gerrit URI syntax, deprecated ages ago, now unsupported

https://gerrit.wikimedia.org/r/514084